# $Revision: 1.43 $, $Date: 2008/11/09 17:28:03 $
Summary:	Portable game library
Summary(pl.UTF-8):	Przenośna biblioteka do programowania gier
Name:		plib
Version:	1.8.5
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://plib.sourceforge.net/dist/%{name}-%{version}.tar.gz
# Source0-md5:	47a6fbf63668c1eed631024038b2ea90
Patch0:		%{name}-shared.patch
Patch1:		%{name}-link.patch
URL:		http://plib.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1

%description
Portable game library.

%description -l pl.UTF-8
Przenośna biblioteka do programowania gier.

%package devel
Summary:	Header files for plib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki plib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel
Requires:	libstdc++-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXmu-devel

%description devel
Header files for plib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki plib.

%package static
Summary:	Static plib libraries
Summary(pl.UTF-8):	Statyczne biblioteki plib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static plib libraries.

%description static -l pl.UTF-8
Statyczne biblioteki plib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README* NOTICE NEWS ChangeLog
%attr(755,root,root) %{_libdir}/libplibfnt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibfnt.so.0
%attr(755,root,root) %{_libdir}/libplibjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibjs.so.0
%attr(755,root,root) %{_libdir}/libplibnet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibnet.so.0
%attr(755,root,root) %{_libdir}/libplibpsl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibpsl.so.0
%attr(755,root,root) %{_libdir}/libplibpu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibpu.so.0
%attr(755,root,root) %{_libdir}/libplibpuaux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibpuaux.so.0
%attr(755,root,root) %{_libdir}/libplibpw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibpw.so.0
%attr(755,root,root) %{_libdir}/libplibsg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibsg.so.0
%attr(755,root,root) %{_libdir}/libplibsl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibsl.so.0
%attr(755,root,root) %{_libdir}/libplibsm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibsm.so.0
%attr(755,root,root) %{_libdir}/libplibssg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibssg.so.0
%attr(755,root,root) %{_libdir}/libplibssgaux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibssgaux.so.0
%attr(755,root,root) %{_libdir}/libplibul.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplibul.so.0
%{_libdir}/libplibfnt.so.0
%{_libdir}/libplibjs.so.0
%{_libdir}/libplibnet.so.0
%{_libdir}/libplibpsl.so.0
%{_libdir}/libplibpu.so.0
%{_libdir}/libplibpuaux.so.0
%{_libdir}/libplibpw.so.0
%{_libdir}/libplibsg.so.0
%{_libdir}/libplibsl.so.0
%{_libdir}/libplibsm.so.0
%{_libdir}/libplibssg.so.0
%{_libdir}/libplibssgaux.so.0
%{_libdir}/libplibul.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplibfnt.so
%attr(755,root,root) %{_libdir}/libplibjs.so
%attr(755,root,root) %{_libdir}/libplibnet.so
%attr(755,root,root) %{_libdir}/libplibpsl.so
%attr(755,root,root) %{_libdir}/libplibpu.so
%attr(755,root,root) %{_libdir}/libplibpuaux.so
%attr(755,root,root) %{_libdir}/libplibpw.so
%attr(755,root,root) %{_libdir}/libplibsg.so
%attr(755,root,root) %{_libdir}/libplibsl.so
%attr(755,root,root) %{_libdir}/libplibsm.so
%attr(755,root,root) %{_libdir}/libplibssg.so
%attr(755,root,root) %{_libdir}/libplibssgaux.so
%attr(755,root,root) %{_libdir}/libplibul.so
%{_libdir}/libplibfnt.la
%{_libdir}/libplibjs.la
%{_libdir}/libplibnet.la
%{_libdir}/libplibpsl.la
%{_libdir}/libplibpu.la
%{_libdir}/libplibpuaux.la
%{_libdir}/libplibpw.la
%{_libdir}/libplibsg.la
%{_libdir}/libplibsl.la
%{_libdir}/libplibsm.la
%{_libdir}/libplibssg.la
%{_libdir}/libplibssgaux.la
%{_libdir}/libplibul.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libplibfnt.a
%{_libdir}/libplibjs.a
%{_libdir}/libplibnet.a
%{_libdir}/libplibpsl.a
%{_libdir}/libplibpu.a
%{_libdir}/libplibpuaux.a
%{_libdir}/libplibpw.a
%{_libdir}/libplibsg.a
%{_libdir}/libplibsl.a
%{_libdir}/libplibsm.a
%{_libdir}/libplibssg.a
%{_libdir}/libplibssgaux.a
%{_libdir}/libplibul.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: plib.spec,v $
Revision 1.43  2008/11/09 17:28:03  arekm
- release 2

Revision 1.42  2008/07/20 10:28:52  qboosh
- updated to 1.8.5
- removed obsolete js_fix,gcc4 patches
- ghost soname symlinks

Revision 1.41  2007/05/27 22:40:13  aflinta
 - rebuild with updated link.patch
 - release 4

Revision 1.40  2007/05/27 20:46:34  aflinta
- updated link patch for proper plibnet linking, rel 3

Revision 1.39  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.37  2006/11/05 13:46:11  megabajt
- added link patch
- rel. 2

Revision 1.36  2006/04/16 10:48:46  megabajt
- added gcc4 patch
- modular xorg deps

Revision 1.35  2005/06/20 13:53:12  undefine
- patch to use new js interface, rel 1

Revision 1.34  2005/06/20 11:24:21  blekot
- 0.8.4, rel 0.1
- doesn't build (don't know why)

Revision 1.33  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.32  2004/04/14 12:17:50  grzegol
- updated to 1.8.3

Revision 1.31  2004/03/28 23:08:54  grzegol
- updated to 1.8.2

Revision 1.30  2004/03/21 17:28:24  grzegol
- updated to 1.8.0 (it's probably binary incopatible with 1.7 version, but
  soname has not changed - all applications using plib should be rebuild)
- removed BR: glut-devel - not needed anymore
- strict internal deps

Revision 1.29  2004/02/14 16:10:41  grzegol
- added ldconfig to %%post/%%postun

Revision 1.28  2003/11/11 21:53:01  grzegol
- added shared patch (build also shared libraries)
- regenerate lt
- added -static subpackage
- rel. 4

Revision 1.27  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.26  2003/11/10 22:50:27  ankry
- cosmetics

Revision 1.25  2003/11/10 22:45:50  grzegol
- added -devel subpackage
- rel. 3

Revision 1.24  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.23  2003/05/27 11:19:39  trojan
- added Source-md5

Revision 1.22  2003/05/25 06:25:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/02/11 19:26:37  grzegol
- fixed GL prefix
- rel. 2

Revision 1.20  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.19  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.18  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/09/13 05:56:56  zagrodzki
- updated to 1.7.0
- STBR

Revision 1.16  2002/05/21 23:14:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/14 20:35:46  marcus
- fix for ppc
- rel.4.

Revision 1.14  2002/04/12 09:26:04  marcus
- rel 3. (fix for ppc)

Revision 1.13  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/02 19:49:35  ankry
- adding some Group translations

Revision 1.9  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/02 23:57:43  blues
- release 2
- ac2.5 ready - am_fix patch included

Revision 1.7  2001/08/06 07:48:06  kloczek
- uncomment %patch0.

Revision 1.6  2001/08/04 17:06:36  jajcus
- Version: 1.4.2

Revision 1.5  2001/04/20 20:45:36  kloczek
- cosmetics.

Revision 1.4  2001/04/20 16:09:22  misiek
typo

Revision 1.3  2001/04/20 16:05:42  misiek
- added pl summary and description
- rebuild autostuff
- changes in %%install
- release 1

Revision 1.2  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.1  2000/10/02 13:08:14  cieciwa
- updated to version 1.3.1,
- fixed missing part in configure.in.

* Wed Jun 16 1999 Wojciech "Sas" Cięciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [1.0-2]
- stripped libraries,
- moved headers to /usr/x11R6/include/plib/.

* Wed Jun 16 1999 Wojciech "Sas" Cięciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [1.0-1]
- build RPM.
